<?php
/* HTMLConverter - Simple HTML to PDF/RTF/TXT/etc converter
 * Copyright 2004-2006, Steve Blinch
 * http://code.blitzaffe.com
 * ============================================================================
 *
 * LICENSE
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */ 

class DocumentMaker {
	
	function generator_options($options) {
	}

	function prepare_fonts($font_list,$default_font_index,$default_font_size) {
		$this->font_list_table = $font_list;
		$this->default_font_index = $default_font_index;
		$this->default_font_size = $default_font_size;
		
		$this->indent_inches = 0.33;
	}
	
	function document_begin($orientation="portrait",$paperformat="a4") {
	}

	function document_end() {
	}

	function get() {
	}

	function save($filename) {
	}

	function get_mime_type() {
	}

	function get_default_extension() {
	}

	function set_font($font_index) {
	}

	function set_font_by_name($font_name) {
		$font_name = strtolower($font_name);
		reset($this->font_list_table);
		$k = array_search($font_name,$this->font_list_table);
		if ($k) $this->set_font($k);
	}
	
	function set_font_size($font_size) {
	}
	
	function set_color($r,$g,$b) {
	}
	
	function increment_indent() {
	}

	function decrement_indent() {
	}
	
	function set_indent($inches) {
	}

	function text($output_text) {
	}
	
	function bold($activate) {
	}
	
	function italic($activate) {
	}
	
	function underline($activate) {
	}
	
	
	// $content is an array with the following structure:
	//
	// array(
	//		"left"=>array(
	//			"text"=>"Text for left side of header",
	//			"font"=>1, // font index (or default if not specified)
	//			"size"=>12, // font size (or default if not specified)
	//			"bold"=>true, // if this element should be bolded
	//			"italic"=>true, // if this element should be italicised
	//			"underline"=>true, // if this element should be underlined
	//		),
	//		"center"=>array( ... ),
	//		"right"=>array( ... ),
	// );
	//
	// Text can be @PAGE@ in any of left/right/center, to insert the
	// current page number.
	function header($content) {
	}
	
	function footer($content) {
	}

	function set_margins($left,$right,$top,$bottom) {
	}
	
	function line_spacing($value) { // set to 1, 1.5, 2, etc.
	}
	
	function page_break() {
	}

	function section_break() {
	}
	
	function list_begin($list_style="numeric") {
	}
	
	function list_end() {
	}
	
	function list_item($item) {
	}

	function align($alignment) {
	}
	
	function table_begin() {
	}
	
	function table_end() {
	}
	
	function row_begin() {
	}
	
	function row_cell_begin($xpercent) {
	}

	function row_cell_end() {
		$this->text("\n");
	}
	
	function row_end() {
	}

	function image($filename,$width,$justification,$border,$padding) {
	}

	function stream($base_filename) {
		header("Content-type: ".$this->get_mime_type());
		header("Content-disposition: inline; filename={$base_filename}.".$this->get_default_extension());
		
		echo $this->get();
	}

}
?>