<?php
/* HTMLConverter - Simple HTML to PDF/RTF/TXT/etc converter
 * Copyright 2004-2006, Steve Blinch
 * http://code.blitzaffe.com
 * ============================================================================
 *
 * DESCRIPTION
 *
 * This example demonstrates how to use HTMLConverter to convert a pseudo-HTML
 * document to TXT, RTF, or PDF format.
 *
 *
 * LICENSE
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
require_once(dirname(__FILE__)."/class_HTMLConverter.php");

$mode = "RTF"; // valid options are TXT, RTF, or PDF

// load and instantiate our conversion library
if (!in_array($mode,array("TXT","RTF","PDF"))) die("Invalid page format");
$classname = $mode."Maker";
require_once(dirname(__FILE__)."/class_{$classname}.php");
if (!class_exists($classname)) die("Class $classname not defined");
$page = &new $classname();

// prepare the fonts we plan to use (only used for RTF and PDF documents)
$page->prepare_fonts(array("Times New Roman","Helvetica"),1,12);

// set page formatting (only used for RTF and PDF documents)
$page->document_begin("portrait");
$page->set_margins(1,1,1,1);
$page->line_spacing(1);

// set the page header
$header = array(
	"center"=>array(
		"text"=>"Example document",
		"font"=>1,
		"size"=>12,
		"bold"=>true,
		"italic"=>false,
		"underline"=>false
	),
);
$page->header($header);

// set the page footer
$footer = array(
	"left"=>array(
		"text"=>"HTMLConverter - http://code.blitzaffe.com",
		"font"=>1,
		"size"=>10,
		"bold"=>false,
		"italic"=>false,
		"underline"=>false
	),

	"right"=>array(
		"text"=>"Page {PAGENUM} of {TOTALPAGENUM}",
		"font"=>1,
		"size"=>10,
		"bold"=>false,
		"italic"=>false,
		"underline"=>false
	),
);
$page->footer($footer);

// instantiate the HTML converter
$converter = &new HTMLConverter();

$content = file_get_contents(dirname(__FILE__)."/example.html");

// if your page uses a separate stylesheet, pass the stylesheet itself
// (not the filename, but the actual CSS) in the $css variable
$css = "";

// convert the document
$converter->convert($content,$css,$page,false,$header,$footer);

// finalize the document
$page->document_end();

// stream it to the browser; this will prompt the user to save the file
// to his hard drive
$page->stream("document");
?>